### Function

# Gcr FilterCollectionFunc

since: 3

#### Declaration

    gboolean
    (* GcrFilterCollectionFunc) (
      GObject* object,
      gpointer user_data
    )

#### Description [src]

A function which is called by `GcrFilterCollection` in order to determine whether an object should show through the filter or not.

Available since: 3

#### Parameters

`object`

  Type: `GObject`

  Object to filter.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if an object should be included in the filtered collection.